Tstamp.Unit (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Tstamp, class: Unit

# Class Tstamp.Unit

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.Tstamp.Unit

Enclosing class:
  `Tstamp`

public static class Tstamp.Unit extends EnumeratedAttribute
set of valid units to use for time offsets.

Since:
  Ant 1.1

- ## Field Summary

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Unit()`
  Constructor for Unit enumerated type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCalendarField()`
  Convert the value to int unit value.
  `String[]`
  `getValues()`
  Get the valid values.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Unit

    public Unit()
    Constructor for Unit enumerated type.

- ## Method Details

  - ### getCalendarField

    public int getCalendarField()
    Convert the value to int unit value.
    Returns:
      an int value.

  - ### getValues

    public String[] getValues()
    Get the valid values.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      the value values.